Page MenuHomePhabricator

Some thumbnails return an application/x-www-form-urlencoded Content-Type (fixed by purging)
Closed, DuplicatePublic

Description

This is a strange one. Some thumbnail URLs, like the one below, return a Content-Type header of "application/x-www-form-urlencoded", even though it returns PNG content.

https://upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Cholesterol.svg/200px-Cholesterol.svg.png

$ curl -I https://upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Cholesterol.svg/200px-Cholesterol.svg.png
HTTP/1.1 200 OK
Server: nginx/1.9.4
Date: Fri, 15 Jan 2016 23:26:31 GMT
Content-Type: application/x-www-form-urlencoded

Event Timeline

JasperStPierre raised the priority of this task from to Needs Triage.
JasperStPierre updated the task description. (Show Details)
JasperStPierre added a subscriber: JasperStPierre.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 15 2016, 11:28 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptJan 16 2016, 4:31 AM
Restricted Application added a subscriber: Steinsplitter. · View Herald Transcript

I was able to fix this specific image by visiting https://commons.wikimedia.org/wiki/File:Cholesterol.svg?action=purge so it seems that in some cases a cache is getting corrupted (though we have a few other documented articles where a similar issue was/is happening)

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJan 19 2016, 12:17 AM
Aklapper renamed this task from Some thumbnails return an application/x-www-form-urlencoded Content-Type to Some thumbnails return an application/x-www-form-urlencoded Content-Type (fixed by purging).Mar 8 2016, 9:55 PM
Aklapper triaged this task as Low priority.
MarkTraceur moved this task from Untriaged to Triaged on the Multimedia board.Dec 6 2016, 4:13 PM
Tgr added a subscriber: Tgr.Jan 4 2018, 5:29 AM

Probably fixed by the SwiftFileBackend::sanitizeHdrs patch in T178849.